Bug 1731637 - magicor depends on Python 2
Summary: magicor depends on Python 2
Keywords:
Status: CLOSED DUPLICATE of bug 1777633
Alias: None
Product: Fedora
Classification: Fedora
Component: magicor
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-07-20 07:04 UTC by Lumír Balhar
Modified: 2019-11-28 01:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-28 01:16:59 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-07-20 07:04:59 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for magicor's future. Specifically:


- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to magicor.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-07-29 04:48:52 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 2 Hans de Goede 2019-07-29 14:42:49 UTC
(In reply to Lumír Balhar from comment #0)
> To help planning, we'd like to know the plans for magicor's future.
> Specifically:
> 
> 
> - What are the upstream/community plans/timelines regarding Python 3?

Upstream is dead and as such has no plans to move to python 3 AFAICT.

> - What is the guidance for porting to Python 3? (Assuming that there is
> someone who generally knows how to port to Python 3, but doesn't know
> anything about the particular package, what are the next steps to take?)

There is no guidance, if I find time I will try to convert the game
itself to python3. I hope converting the game itself will not be too much work.
There also is a level-editor, but we do not package that, so I do not plan
to convert that.

Comment 3 Ben Cotton 2019-08-13 17:00:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 18:53:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Lumír Balhar 2019-08-14 09:08:15 UTC
The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, and nothing in Fedora uses it, you can retire it or just remove the Python 2 part from it (subpackage, module, bindings, etc.).

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 6 Miro Hrončok 2019-11-28 01:16:59 UTC

*** This bug has been marked as a duplicate of bug 1777633 ***


Note You need to log in before you can comment on or make changes to this bug.